import javax.swing.*;
import java.awt.*;
import yildizSW;
import java.awt.geom.*;
import renk;

public class ovalPanelSWP extends JPanel
{
int xi,yi,yaricap;

public ovalPanelSWP(int xi1, int yi1,int yaricap1)
{
xi=xi1;
yi=yi1;
yaricap=(yaricap1 >= 0 ? yaricap1:10);
}

public void setOvalPanelSWP(int xi1, int yi1,int yaricap1)
{
xi=xi1;
yi=yi1;
yaricap=(yaricap1 >= 0 ? yaricap1:10);
repaint();
}

public void paintComponent(Graphics g)
{
 super.paintComponent(g);
 g.setColor(renk.mavi);
 Graphics2D g2=(Graphics2D)g;
 g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
 RenderingHints.VALUE_ANTIALIAS_ON);
 Ellipse2D elips1=new Ellipse2D.Double(xi,yi,yaricap,yaricap);
 g2.draw(elips1);
}

}

